%define pkgname activesupport
Summary:	Utility libraries for Ruby on Rails
Name:		ruby-activesupport2
Version:	2.3.16
Release:	1
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	e8110faabd5f937191585fb1b2986b17
Patch0:		ruby-activesupport-nogems.patch
URL:		http://rubyforge.org/projects/activesupport/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Requires:	ruby-builder >= 2.1.2
Requires:	ruby-i18n
Requires:	ruby-json
Requires:	ruby-mocha >= 0.9.7
Requires:	ruby-memcache-client
Requires:	ruby-nokogiri >= 1.1.1
Requires:	ruby-tzinfo
Obsoletes:	ruby-ActiveSupport
Provides:	ruby-ActiveSupport
Provides:	ruby-activesupport = %{version}
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarch only because of ruby packaging
%define		_enable_debug_packages	0

%description
Utility libraries for Ruby on Rails.

%description -l pl.UTF-8
Biblioteki narzędziowe dla Ruby on Rails.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
%patch0 -p1

%{__rm} -r lib/active_support/vendor*

# JRuby crap
rm lib/active_support/xml_mini/jdom.rb

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm -fr ri/{CGI,Class,ClassInheritableAttributes,Date,DateTime} \
	ri/{Enumerable,Exception,FalseClass,File,Float,Hash} \
	ri/{HashWithIndifferentAccess,Integer,Kernel,Logger} \
	ri/{LibXML,MissingSourceFile,Module,NameError,NilClass,Numeric} \
	ri/{Object,Pathname,Proc,Range,Regexp,REXML,String} \
	ri/{Symbol,Test,Time,TrueClass,Process,Array,BigDecimal} \
	ri/{Benchmark,ERB,Fixnum,InstanceExecMethods}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG
%{ruby_rubylibdir}/active_support
%{ruby_rubylibdir}/active_support.rb
%{ruby_rubylibdir}/activesupport.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActiveSupport
%changelog
* Fri Feb 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-activesupport2.git;a=log;h=master

* Fri Feb 01 2013 Jan Rękorajski <baggins@pld-linux.org> 24f5fae
- updated to 2.3.16
- fix for ruby 1.9.3 merged upstream

* Wed Jan 09 2013 Jan Rękorajski <baggins@pld-linux.org> 5ef6637
- updated to 2.3.15

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> a7028e3
- ri documentation depends on installed packages and is thus nondeterministic

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> ae2362d
- 2.3.14

* Fri Dec 09 2011 Jan Rękorajski <baggins@pld-linux.org> 1dfb523
- rel 2
- fix incompatibility with ruby 1.9.3
  http://groups.google.com/group/rubyonrails-core/browse_thread/thread/81be70a119260e59

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> ed62b68
- 2.3.11
- thread patch applied upstream

* Wed Jun 22 2011 Jan Rękorajski <baggins@pld-linux.org> 4c4783c
- provide also generic, versioned package name to avoid file conflicts

* Wed Jun 22 2011 Jan Rękorajski <baggins@pld-linux.org> faf0fe4
- fix package name

* Wed Jun 22 2011 Jan Rękorajski <baggins@pld-linux.org> 639c7c1
- 2.3.5 as separate package (needed by redmine)

* Tue Nov 30 2010 aredridel <aredridel@pld-linux.org> fa35397
- up to 3.0.3

* Tue Nov 23 2010 aredridel <aredridel@pld-linux.org> 2a674e4
- Patch dependencies.rb to require thread properly

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 169b274
- added ri package

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> 608aa4f
- updated to 2.3.5

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 9e361cb
- P:ruby-ActiveSupport

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 899d474
- renamed ruby-ActiveSupport -> ruby-activesupport

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 212aafa
- remove vendor libs (already in deps)

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 243d61e
- corrrect summary

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> a4b0c37
- update to 2.0.5; -rdoc subpackage

* Thu Sep 18 2008 aredridel <aredridel@pld-linux.org> efed602
- keep active_support from munging the include path needlessly

* Thu Dec 13 2007 Jakub Bogusz <qboosh@pld-linux.org> be3ab5f
- formatting

